For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Resources
Get started
ReferenceGuidesExamplesChangelog
ReferenceGuidesExamplesChangelog
  • Data API
    • Introduction
  • Token
    • GETGet Authorization User Info
    • GETGet Authorization Info
  • Sites
    • GETList Sites
    • GETGet Site
    • GETGet Custom Domains
    • POSTPublish Site
  • Pages and Components
  • CMS
  • Forms
  • Custom Code
  • Assets
  • Comments
    • GETList Comment Threads
    • GETGet Comment Thread
    • GETList Comment Replies
  • Ecommerce
  • Webhooks
    • GETList Webhooks
    • GETGet Webhook
    • POSTCreate Webhook
    • DELRemove Webhook
  • Site Configuration
  • Enterprise
      • GETGet Workspace Audit Logs
      • Event Types and Payload Schemas
LogoLogo
Resources
Get started
EnterpriseWorkspace Audit Logs

Get Workspace Audit Logs

GET
https://api.webflow.com/v2/workspaces/:workspace_id_or_slug/audit_logs
GET
/v2/workspaces/:workspace_id_or_slug/audit_logs
$curl -G https://api.webflow.com/v2/workspaces/hitchhikers-workspace/audit_logs \
> -H "Authorization: Bearer <token>" \
> -d limit=100 \
> -d offset=0 \
> -d eventType=user_access \
> --data-urlencode from=2025-06-22T16:00:31Z \
> --data-urlencode to=2025-07-22T16:00:31Z
1{
2 "items": [
3 {
4 "eventType": "user_access",
5 "eventSubType": "login",
6 "payload": {
7 "method": "dashboard",
8 "location": "Ashburn US",
9 "ipAddress": "54.165.18.93"
10 },
11 "timestamp": "2025-04-29T20:30:06.622Z",
12 "actor": {
13 "id": "6661ccb359b561c69f29d554",
14 "email": "someone@email.com"
15 },
16 "workspace": {
17 "id": "6621ccb459b561c69f29d57c",
18 "slug": "hitchhikers-workspace"
19 }
20 },
21 {
22 "eventType": "workspace_membership",
23 "eventSubType": "user_added",
24 "payload": {
25 "targetUser": {
26 "id": "60492e55bbddce079561cd7a",
27 "email": "someone@webflow.com"
28 },
29 "method": "sso",
30 "userType": "member",
31 "roleName": "member"
32 },
33 "timestamp": "2025-04-30T20:30:06.622Z",
34 "actor": {
35 "id": "60492e55bbddce079561cd7a",
36 "email": "someone@webflow.com"
37 },
38 "workspace": {
39 "id": "6621ccb459b561c69f29d57c",
40 "slug": "hitchhikers-workspace"
41 }
42 },
43 {
44 "eventType": "site_membership",
45 "eventSubType": "user_added",
46 "payload": {
47 "site": {
48 "id": "67dc519889286123da057175",
49 "slug": "hitchhikers-site"
50 },
51 "targetUser": {
52 "id": "672946bf5d384ea895bb95e2",
53 "email": "someone@webflow.com"
54 },
55 "method": "dashboard",
56 "userType": "member",
57 "roleName": "Edit - Cannot publish",
58 "granularAccess": {
59 "id": "67dc519889286123da057175",
60 "name": "Blogs",
61 "type": "cms",
62 "restricted": false
63 }
64 },
65 "timestamp": "2025-04-30T00:33:31.793Z",
66 "actor": {
67 "id": "671fe00d185fc8c1ad409d37",
68 "email": "someone@webflow.com"
69 },
70 "workspace": {
71 "id": "6621ccb459b561c69f29d57c",
72 "slug": "hitchhikers-workspace"
73 }
74 }
75 ],
76 "pagination": {
77 "limit": 10,
78 "offset": 0,
79 "total": 3
80 }
81}
Get audit logs for a workspace. <Warning title="Enterprise & workspace API token only">This endpoint requires an Enterprise workspace and a workspace token with the `workspace_activity:read` scope. Create a workspace token from your workspace dashboard integrations page to use this endpoint.</Warning> Required scope | `workspace_activity:read`
Was this page helpful?
Previous

Workspace audit log event types

Monitor and debug workspace activity with detailed audit logs. Each event captures who did what, when, and how - from user logins to role changes. Explore the available event types and their Payload schemas below.

Next
Built with

Get audit logs for a workspace.

Enterprise & workspace API token only
This endpoint requires an Enterprise workspace and a workspace token with the workspace_activity:read scope. Create a workspace token from your workspace dashboard integrations page to use this endpoint.

Required scope | workspace_activity:read

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

workspace_id_or_slugstringRequiredformat: "objectid"
Unique identifier or slug for a Workspace

Query parameters

limitintegerOptional

Maximum number of records to be returned (max limit: 100)

offsetintegerOptional
Offset used for pagination if the results have more than limit records
sortOrderenumOptional
Sorts the results by asc or desc
Allowed values:
eventTypeenumOptional
The event type to filter by
fromstringOptionalformat: "date-time"
The start date to filter by
tostringOptionalformat: "date-time"
The end date to filter by

Response

A list of workspace audit logs
itemslist of objects
paginationobject
Pagination object

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error